QueuePersistenceStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.util.queue.QueuePersistenceStrategy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.queue
Interface QueuePersistenceStrategy

All Known Implementing Classes:
  EventFilePersistenceStrategy, EventMemoryPersistenceStrategy, FilePersistenceStrategy, MemoryPersistenceStrategy

    public interface QueuePersistenceStrategy

`QueuePersistenceStrategy` defines the The api to a persistent queue store. A persistence strategy can be transient (in memory or non-restorable) or non-transient such as File system or DB.

Nested Class Summary
`static interface` | `QueuePersistenceStrategy.Holder`

Method Summary
`void` | `close()` Closes the store.
`boolean` | `isTransient()`
`Object` | `load(String queue, Object id)` Loads an object specified by the given id.
`void` | `open()` Open the store.
`void` | `remove(String queue, Object id)` Removes the object specified by the given id from the store.
`List` | `restore()` Retrieves the ids of the stored objects.
`Object` | `store(String queue, Object obj)` Stores an object and returns its generated id.

Method Detail

### store

    Object store(String queue,
                 Object obj)
                 throws IOException

  Stores an object and returns its generated id.

  Parameters:
    `obj` - the object to be stored
  Returns:
    the id of the stored object
  Throws:
    `IOException`

### load

    Object load(String queue,
                Object id)
                throws IOException

  Loads an object specified by the given id.

  Parameters:
    `id` - the id of the stored object
  Returns:
    the object
  Throws:
    `IOException`

### remove

    void remove(String queue,
                Object id)
                throws IOException

  Removes the object specified by the given id from the store.

  Parameters:
    `id` - the id of the stored object
  Throws:
    `IOException`

### restore

    List restore()
                 throws IOException

  Retrieves the ids of the stored objects.

  Returns:
    the list of ids
  Throws:
    `IOException`

### open

    void open()
              throws IOException

  Open the store.

  Throws:
    `IOException`

### close

    void close()
               throws IOException

  Closes the store.

  Throws:
    `IOException`

### isTransient

    boolean isTransient()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.